<?php

namespace loyalsoft;

/**
 * 系统事件处理模块
 * @author gwang
 */
class NormalEventProc {
    /**
     * 任务卡-任务步骤进度更新
     * @param type $arg1
     * @param type $arg2
     */
    public static function OnTaskCardStep_Process($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::MissionStepProcess, $arg1, $arg2);
    }
    
     /**
     * 任务卡-任务步骤完成
     * @param type $arg1
     * @param type $arg2
     */
    public static function OnTaskCardStep_Complete($arg1, $arg2) {

        Resp::AddEvent(Enum_EventType::MissionStepComplete, $arg1, $arg2);
    }
    
    /**
     * 任务卡-完成
     * @param type $arg1
     * @param type $arg2
     */
    public static function OnTaskCard_Finish($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::TaskCardFinished, $arg1, $arg2);
    }
    
    
    //----------------------------

    public static function OnHelloWorld($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::HelloWorld, $arg1, $arg2);
    }

    /**
     * 包裹--获得新的道具
     * @param type $itemid
     * @param type $num
     * @param type $cid
     */
    public static function OnBag_new_Item($itemid, $num, $cid) {
        Resp::AddEvent(Enum_EventType::AddItem, "$itemid,$num", $cid);
    }

    /**
     * 包裹--移除道具
     * @param type $arg1
     * @param type $arg2
     */
    public static function OnBag_Remove_Item($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::RemoveItem, $arg1, $arg2);
    }

    /**
     * 任务卡包裹--获得新的任务卡
     * @param type $arg1
     * @param type $arg2
     */
    public static function OnTaskBag_new_Card($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::AddTaskItem, $arg1, $arg2);
    }

//

    /**
     * 任务卡包裹--移除任务卡
     * @param type $arg1
     * @param type $arg2
     */
    public static function OnTaskBag_remove_Card($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::RemoveTaskItem, $arg1, $arg2);
    }

    

   

    

    /**
     * 任务卡-激活
     * @param type $arg1
     * @param type $arg2
     */
    public static function OnTaskCard_Actived($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::TaskCardActived, $arg1, $arg2);
    }

    /**
     * 任务卡-领取奖励
     * @param type $arg1
     * @param type $arg2
     */
    public static function OnTaskCard_Reward($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::TaskCardReward, $arg1, $arg2);
    }

    /**
     * 剧情-开启一段新对话
     * @param type $arg1
     * @param type $arg2 
     */
    public static function OnPlot_startNew($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::StartPlot, $arg1, $arg2);
    }

    /**
     * 剧情-开启一段NPC对话
     * @param type $arg1
     * @param type $arg2 
     */
    public static function OnNpcDialog_startNew($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::NpcDialog, $arg1, $arg2);
    }

    /**
     * 解锁 - 功能建筑
     * @param type $arg1 建筑id
     * @param type $arg2
     */
    public static function OnUnlockBuild($arg1, $arg2 = null) {
        Resp::AddEvent(Enum_EventType::UnlockBuild, $arg1, $arg2);
    }

    /**
     * 解锁 - 地图
     * @param type $arg1 关卡id
     * @param type $arg2
     */
    public static function OnUnlockMap($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::UnlockMap, $arg1, $arg2);
    }

    /**
     * 升级-指挥官
     * @param type $arg1 旧等级
     * @param type $arg2 新等级
     */
    public static function OnUserLvlUp($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::UserLvlUP, $arg1, $arg2);
    }

    /**
     * 升级-唤灵师
     * @param type $arg1 唤灵师uid
     * @param type $arg2 最新等级
     */
    public static function OnHeroLvlUp($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::HeroLvlUp, $arg1, $arg2);
    }
    /**
     * 突破-唤灵师
     * @param type $arg1
     * @param type $arg2
     */
    public static function OnHeroTuPo($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::HeroTuPo, $arg1, $arg2);
    }
    
    /**
     * 升级-唤灵师
     * @param type $arg1 唤灵师uid
     * @param type $arg2 最新等级
     */
    public static function OnWeaponLvlUp($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::WeaponLvUp, $arg1, $arg2);
    }
    
    /**
     * 突破-唤灵师
     * @param type $arg1
     * @param type $arg2
     */
    public static function OnWeaponLvTuPo($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::WeaponTuPo, $arg1, $arg2);
    }
    
    /**
     * 升级-言灵
     * @param type $arg1 唤灵师uid
     * @param type $arg2 最新等级
     */
    public static function OnYanLingLvlUp($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::YanLingLvUp, $arg1, $arg2);
    }
    
    /**
     * 突破-言灵
     * @param type $arg1
     * @param type $arg2
     */
    public static function OnYanLingLvTuPo($arg1, $arg2) {
        Resp::AddEvent(Enum_EventType::YanLingTuPo, $arg1, $arg2);
    }
    
    /**
     * 支付成功
     * @param type $arg1
     * @param type $arg2
     */
    public static function OnPaySuccess() {
        Resp::AddEvent(Enum_EventType::PaySuccess, null, null);
    }
    
    /**
     * 体力变化
     * @param type $arg1
     */
    public static function OnTiliChange($arg1) {
        Resp::AddEvent(Enum_EventType::TiliChange, $arg1, null);
    }
    
    /**
     * 
     * @param type $arg1
     */
    public static function OnHPMPItemConfigChange() {
        Resp::AddEvent(Enum_EventType::HPMPItemConfigChange, null, null);
    }
    
}
